-- // example maxscript to use the batch functions of the v1.4 3DS Max SMD Exporter
-- // 
-- // If you wish to invoke the SMD exporter via Maxscript fot Batch type operations you can
-- // use the following example script as a basis.
-- //
-- // Write an .ini file to the 3ds max plug-ins config folder with the following parameters
-- // and then invoke the exporter. The plug-in will then read the settings from the config
-- // and execute.
-- // IMPORTANT - make sure you delete the file after or the plug-in will attempt to run in 
-- // batch mode each time!
-- //
-- // Example INI file:
-- //
-- // [Batch Config]
-- // Type=1		( 0 = reference SMD, 1 = Sequence )
-- // Start=0		( export range starting frame number )
-- // End=99		( export range ending frame number )
-- // Reverse=0		( 0 = export normally, 1 = reverse animation)
-- // HL1Format=0	( 0 = export as HL2 format SMD, 1 = export as HL1 format SMD 
-- //

-- write our settings to the batch ini file 
setINISetting "$plugcfg/smdexp.ini" "Batch Config" "Type" "1"
setINISetting "$plugcfg/smdexp.ini" "Batch Config" "Start" "0"
setINISetting "$plugcfg/smdexp.ini" "Batch Config" "End" "99"
setINISetting "$plugcfg/smdexp.ini" "Batch Config" "Reverse" "0"
setINISetting "$plugcfg/smdexp.ini" "Batch Config" "HL1Format" "0"

-- call the plugin with our filename
exportFile (GetDir #scene + "/exportTest.smd" )

-- delete the ini file after
deleteFile "$plugcfg/smdexp.ini"
